package com.ruoyi.benyun.service;

import com.ruoyi.benyun.entity.Brand;
import com.ruoyi.benyun.entity.bo.StoreWdCategoryCount;
import com.ruoyi.benyun.entity.vo.ChannelAnalyseAceeptVo;
import com.ruoyi.benyun.entity.vo.ChannelMapAceeptVo;
import com.github.pagehelper.PageInfo;

import java.util.HashMap;
import java.util.List;

public interface ChannelAnalyseService {
    public HashMap cityTier(ChannelMapAceeptVo channelMapAceeptVo);

    PageInfo<Brand> brandList(ChannelAnalyseAceeptVo channelAnalyseAceeptVo);

    HashMap<String,Object> tagAnalyse(ChannelMapAceeptVo channelMapAceeptVo);

    List<StoreWdCategoryCount> category(ChannelMapAceeptVo channelMapAceeptVo);

//    void businessAnalyse(ChannelMapAceeptVo channelMapAceeptVo);
}
